<h1 id="documentation">Documentation</h1>
<p>The sequelize documentation is divided in two parts:</p>
<ul>
<li>Tutorials, guides, and example based documentation are written in Markdown</li>
<li>The API reference is generated automatically from source code comments with <a href="http://esdoc.org">ESDoc</a> (which uses <a href="http://usejsdoc.org">JSDoc</a> syntax).</li>
</ul>
<p>The whole documentation is rendered using ESDoc and continuously deployed to Github Pages at https://sequelize.org. The output is produced in the <code>esdoc</code> folder.</p>
<p>The tutorials, written in markdown, are located in the <code>docs</code> folder. ESDoc is configured to find them in the <code>"manual"</code> field of <code>.esdoc.json</code>.</p>
<p>To generate the docs locally, run <code>npm run docs</code> and open the generated <code>esdoc/index.html</code> in your favorite browser.</p>
<h2 id="articles-and-example-based-docs">Articles and example based docs</h2>
<p>Write markdown, and have fun :)</p>
<h2 id="api-docs">API docs</h2>
<p>Change the source code documentation comments, using JSDoc syntax, and rerun <code>npm run docs</code> to see your changes.</p>
